import objectdraw.*;
import java.awt.*;

// A class that constructs a panel that can be used to experiment with the
// behavior of the "endsWith" method of the String class.
public class EndsWithTester extends TwoStringInput implements StringOpTester {

    // Perform "endsWith" operation when requested
    public String doIt() {
	return "" + sourceField.getText().endsWith(soughtString.getText());
    }
    
    
    // Return the name of the method this class invokes
    public String getChoiceLabel() {
	return "endsWith";
    }

	// Return the name of the method this class invokes
	public String toString() {
	return "endsWith";
	}
}
